rte_table_lpm_key(3)

NAME
rte_table_lpm_key

SYNOPSIS

#include <rte_table_lpm.h>

  Data Fields

uint32_t ip
uint8_t depth

Detailed Description

LPM table rule (i.e. route), specified as IP prefix. While the key used by the lookup operation is the destination IP address (read from the input packet meta-data), the entry add and entry delete operations work with LPM rules, with each rule covering for a multitude of lookup keys (destination IP addresses) that share the same data (next hop).

Definition at line 76 of file rte_table_lpm.h.

Field Documentation

  uint32_t ip
IP address

Definition at line 78 of file rte_table_lpm.h.

  uint8_t depth
IP address depth. The most significant "depth" bits of the IP address specify the network part of the IP address, while the rest of the bits specify the host part of the address and are ignored for the purpose of route specification.

Definition at line 84 of file rte_table_lpm.h.

Author

Generated automatically by Doxygen for DPDK from the source code.